import { StreamProducer } from '../io/StreamProducer';
import { ClientResponse } from './ClientResponse';
export declare class ReadableStreamClientResponse extends ClientResponse<ReadableStream> implements StreamProducer {
    private reader;
    constructor(value: ReadableStream, statusCode: number);
    read(): Promise<{
        done: boolean;
        value: any;
    }>;
}
